(ns sliva.pages.hub
  (:require [sliva.socket :refer [websocket-init click-test]]
            [sliva.data :refer [appstate]]))

(websocket-init)
(click-test)

(defn hub []
  [:div
   [:h1 "Connected clients"]
   [:table
    [:thead
     [:tr
      [:th "Client ID"]
      [:th "Something else?"]]]
    [:tbody
     (map (fn [cid]
            [:tr {:key cid}
             [:td cid]
             [:td "connected"]])
          (keys (:clients @appstate)))]]])
